gump-general mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Brett Porter <brett.por...@gmail.com>
Subject Re: Maven 1.1 (was Re: svn commit: r330729 - /gump/metadata/project/struts.xml)
Date Mon, 14 Nov 2005 10:53:01 GMT
We probably need a compatibility option, but it's listed on the known
incompatibility pages.

We actually started validating the project.xml files. Some people have
a lot of random content in there that was previously silenty ignored.

Maybe its worth considering them a failed build for the purposes of
Gump so that they update it?

- Brett

On 11/14/05, Leo Simons <mail@leosimons.com> wrote:
> On Mon, Nov 14, 2005 at 05:55:48AM +0100, Stefan Bodewig wrote:
> > On Sun, 13 Nov 2005, Bill Barker <wbarker@wilshire.com> wrote:
> > > "Stefan Bodewig" <bodewig@apache.org> wrote in message
> > > news:87y83y2710.fsf@www.samaflost.de...
> >
> > >> The version of dom4j that Maven 1.0.2 uses is quite old - some
> > >> prerelase of 1.4.  Maybe we could upgrade to Maven 1.1?
> > >
> > > I just tried with Maven 1.1b2, and Maven chokes on the Excalibur
> > > project.xml long before getting to Struts.  It looks like there
> > > isn't enough backwards compatibility in Maven to make it possible to
> > > upgrade the version that Gump is using.
> >
> > That's unfortunate.  Thanks for checking.
>
> Heh. I'm sure maven would appreciate a bug report, so they can fix it :-)
>
> -LSD
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: general-unsubscribe@gump.apache.org
> For additional commands, e-mail: general-help@gump.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: general-unsubscribe@gump.apache.org
For additional commands, e-mail: general-help@gump.apache.org


Mime
View raw message